if not CLIENT then return false end -- Clientside only :)

--[[
made by:
 ____ _______                    _
|  __|__   __|_  _ __   ____  __| |
 \ \    | |/ _ \| '_ \ / __ )/ _` |
 _\ \   | | (_) | | | | (___| (_| |
|____|  |_|\___/|_| |_|\__,_)\__,_|

]]

LuaLoad = {}
local filepath = CreateClientConVar("lua_reload_filepath","autorun/client/",true,false)
function LuaLoad.Reload()
	for k,v in pairs(file.Find("../lua/"..filepath:GetString().."*.lua")) do
		RunString(file.Read("../lua/"..filepath:GetString()..""..v))
		print("Reloaded "..filepath:GetString()..""..v.." !")
	end
end
concommand.Add("lua_reload_cl", LuaLoad.Reload)